=== modified file 'commit.py'
--- commit.py	2009-06-09 14:12:24 +0000
+++ commit.py	2009-06-10 18:07:35 +0000
@@ -34,9 +34,9 @@
     trace,
     )
 try:
+    from bzrlib import bencode
+except ImportError:
     from bzrlib.util import bencode
-except ImportError:
-    from bzrlib import bencode
 
 from bzrlib.plugins.gtk import _i18n
 from bzrlib.plugins.gtk.dialog import question_dialog

=== modified file 'revisionview.py'
--- revisionview.py	2009-06-09 14:51:48 +0000
+++ revisionview.py	2009-06-10 18:07:35 +0000
@@ -25,9 +25,9 @@
 from bzrlib import trace
 from bzrlib.osutils import format_date
 try:
+    from bzrlib.bencode import bdecode
+except ImportError:
     from bzrlib.util.bencode import bdecode
-except ImportError:
-    from bzrlib.bencode import bdecode
 from bzrlib.testament import Testament
 
 from bzrlib.plugins.gtk import icon_path

=== modified file 'tests/test_commit.py'
--- tests/test_commit.py	2009-06-09 14:51:48 +0000
+++ tests/test_commit.py	2009-06-10 18:07:35 +0000
@@ -27,9 +27,9 @@
     uncommit,
     )
 try:
+    from bzrlib import bencode
+except ImportError:
     from bzrlib.util import bencode
-except ImportError:
-    from bzrlib import bencode
 
 from bzrlib.plugins.gtk import commit
 

=== modified file 'tests/test_revisionview.py'
--- tests/test_revisionview.py	2009-06-09 14:51:48 +0000
+++ tests/test_revisionview.py	2009-06-10 18:07:35 +0000
@@ -25,9 +25,9 @@
     revision,
     )
 try:
+    from bzrlib import bencode
+except ImportError:
     from bzrlib.util import bencode
-except ImportError:
-    from bzrlib import bencode
 
 from bzrlib.plugins.gtk import revisionview
 

